kerbalCrewMass setting is being applied to all parts
Description

When setting the kerbalCrewMass variable, the mass of a kerbal is being added to every part, instead of just the command module.
With this set at 100kg, it easily adds up.

I'm on OSX, but this has be verified by others:
http://forum.kerbalspaceprogram.com/index.php?/topic/17833-121-kerbal-engineer-redux-1128-2016-12-02/&page=152#comment-30
03230

History

#1 - 04/03/2017 01:02 PM - rsparkyc

Doing some more testing, it appears that bug is only present when building a craft, and not in flight.

#2 - 04/03/2017 07:54 PM - rsparkyc

Upon further debugging, it seems that this may be an issue with how MechJeb shows mass. It looks like the engineering report doesn't show the
mass of the kerbals being applied at all. Perhaps that is another bug?

#3 - 04/07/2017 08:23 AM - bewing

The KerbalCrewMass varaible was never implemented, so whatever behavior it has is unsupported anyway.

#4 - 04/22/2017 05:50 PM - Starwaster
- Platform Windows added

I've just done some testing of this and the reported behavior is confirmed. | didn't stop at setting kerbal mass to 100kg; | set it in the multi ton range.
First to 50 tons and then 500000 tons. 50 tons is sufficient to noticeably affect TWR, in some cases enough to prevent launch entirely. (simple craft;
pod, tank, engine. Or pod, SRB). Setting it to 500000 tons is easily outside the mass that a vessel's joints can support and it will immediately collapse
on the launch pad, demolishing the vehicle and killing the crew. (the point of setting it that high was merely for demonstration purposes)

Testing was done in a stock environment, aside from changing kerbal mass.

#5 - 04/22/2017 05:51 PM - Starwaster
- Status changed from New to Confirmed

- % Done changed from 0 to 10
